Loading...
Searching...
No Matches
XrdSsiRespInfo Struct Reference

`#include <XrdSsiRespInfo.hh>`

Collaboration diagram for XrdSsiRespInfo:

## Public Types

enum | Resp_t { isNone = 0 , isData , isError , isFile , isStream , isHandle }

## Public Member Functions

| XrdSsiRespInfo ()
| ~XrdSsiRespInfo ()
void | Init ()
const char * | State () const

## Public Attributes

union { |
const char * | buff
const char * | eMsg
| ->msg text when rType == isError
long long | fsize
| ->file size when rType == isFile
XrdSsiStream * | strmP
| ->SsiStream when rType == isStream
}; |
union { |
int | blen
int | eNum
| errno When rType == isError
int | fdnum
| filedesc When rType == isFile
}; |
const char * | mdata
| -> Metadata about response.
int | mdlen
| Metadata length.
Resp_t | rType

## Detailed Description

Definition at line 43 of file XrdSsiRespInfo.hh.

## Member Enumeration Documentation

## Resp_t

enum XrdSsiRespInfo::Resp_t

Enumerator
isNone |
isData |
isError |
isFile |
isStream |
isHandle |

Definition at line 58 of file XrdSsiRespInfo.hh.

{isNone = 0, isData, isError, isFile, isStream, isHandle};
XrdSsiRespInfo::isHandle
@ isHandle
Definition XrdSsiRespInfo.hh:58
XrdSsiRespInfo::isNone
@ isNone
Definition XrdSsiRespInfo.hh:58
XrdSsiRespInfo::isFile
@ isFile
Definition XrdSsiRespInfo.hh:58
XrdSsiRespInfo::isError
@ isError
Definition XrdSsiRespInfo.hh:58
XrdSsiRespInfo::isStream
@ isStream
Definition XrdSsiRespInfo.hh:58
XrdSsiRespInfo::isData
@ isData
Definition XrdSsiRespInfo.hh:58

## Constructor & Destructor Documentation

## XrdSsiRespInfo()

XrdSsiRespInfo::XrdSsiRespInfo | ( |  | ) |

inline

Definition at line 72 of file XrdSsiRespInfo.hh.

{Init();}
XrdSsiRespInfo::Init
void Init()
Definition XrdSsiRespInfo.hh:61

References Init().

Here is the call graph for this function:

## ~XrdSsiRespInfo()

XrdSsiRespInfo::~XrdSsiRespInfo | ( |  | ) |

inline

Definition at line 73 of file XrdSsiRespInfo.hh.

{}

## Member Function Documentation

## Init()

void XrdSsiRespInfo::Init | ( |  | ) |

inline

Definition at line 61 of file XrdSsiRespInfo.hh.

{fsize=0; blen=0; mdlen=0; mdata=0; rType=isNone;}
XrdSsiRespInfo::rType
Resp_t rType
Definition XrdSsiRespInfo.hh:59
XrdSsiRespInfo::mdlen
int mdlen
Metadata length.
Definition XrdSsiRespInfo.hh:55
XrdSsiRespInfo::mdata
const char * mdata
-> Metadata about response.
Definition XrdSsiRespInfo.hh:56

References isNone, mdata, mdlen, and rType.

Referenced by XrdSsiRespInfo(), and XrdSsiResponder::BindRequest().

Here is the caller graph for this function:

## State()

const char * XrdSsiRespInfo::State | ( |  | ) | const

inline

Definition at line 63 of file XrdSsiRespInfo.hh.

{if (rType == isData ) return "isData";
if (rType == isError ) return "isError";
if (rType == isHandle) return "isHandle";
if (rType == isFile ) return "isFile";
if (rType == isStream) return "isStream";
if (rType == isNone ) return "isNone";
return "isUndef";
}

References isData, isError, isFile, isHandle, isNone, isStream, and rType.

## Member Data Documentation

## [union]

union { ... } XrdSsiRespInfo

## [union]

union { ... } XrdSsiRespInfo

## mdata

const char* XrdSsiRespInfo::mdata

-> Metadata about response.

Definition at line 56 of file XrdSsiRespInfo.hh.

Referenced by XrdSsiFileSess::AttnInfo(), and Init().

## mdlen

int XrdSsiRespInfo::mdlen

Metadata length.

Definition at line 55 of file XrdSsiRespInfo.hh.

Referenced by XrdSsiFileSess::AttnInfo(), and Init().

## rType

Resp_t XrdSsiRespInfo::rType

Definition at line 59 of file XrdSsiRespInfo.hh.

Referenced by XrdSsiFileSess::AttnInfo(), Init(), and State().

The documentation for this struct was generated from the following file:

- XrdSsiRespInfo.hh